version: 0.0
os: linux
files:
  - source: /
    destination: /home/ubuntu/DESY-auto
permissions:
  - object: /home/ubuntu/DESY-auto
    owner: ubuntu
    group: ubuntu
    mode: 777
hooks:
  ApplicationStop:
    - location:  /scripts/desy-stop.sh
      timeout: 10
      runas: root
  AfterInstall:
    - location:  /scripts/desy-install.sh
      timeout: 3600
      runas: root
  ApplicationStart:
    - location:  /scripts/desy-start.sh
      timeout: 60
      runas: root